|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QSqlRecord

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSqlRecord class reference

### Public Functions

- const QSqlField * fieldPtr ( int index ) const
- const QSqlField * fieldPtr ( const QString & name ) const
- int position ( const QString & name ) const
- QString toString ( const QString & prefix = QString(), const QString & sep = QLatin1String( "," ) ) const
- QStringList toStringList ( const QString & prefix = QString() ) const

## Member Function Documentation

### const QSqlField * QSqlRecord::fieldPtr ( int index ) const

Use field() instead

### const QSqlField * QSqlRecord::fieldPtr ( const QString & name ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use field() instead

### int QSqlRecord::position ( const QString & name ) const

Use indexOf() instead.

### QString QSqlRecord::toString ( const QString & prefix = QString(), const QString & sep = QLatin1String( "," ) ) const

Returns a list of all the record's field names as a string separated by sep.

In the unlikely event that you used this function in Qt 3, you can simulate it using the rest of the QSqlRecord public API.

### QStringList QSqlRecord::toStringList ( const QString & prefix = QString() ) const

Returns a list of all the record's field names, each having the prefix prefix.

In the unlikely event that you used this function in Qt 3, you can simulate it using the rest of the QSqlRecord public API.